EDIT - feature request #7007
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate IMemento functionality
10/06/2017 12:07 PM - Patrick Plitzner

Status: Rejected Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal

Description

Patrick:

"offensichtlich haben wir unsere Settings/Preferences/Mementos jetzt aktuell noch etwas mehr verteilt. Dass die Namenseditoren
geoffnet werden liegt nicht an dem GUI-Layout, sondern an den Mementos (E3-Technologie), die sich merken, welches Taxon noch

gedffnet war, als der Editor geschlossen wurde. Diese Informationen sind im .cdmlibrary-Ordner, der fur alle Instanzen verwendet
wird.

Wir sollten also Gberlegen, welche Information instanz-spezifisch sind und welche fur alle Editor-Instanzen gelten."

Related issues:
Related to EDIT - task #6745: Investigate how e4 model changes affect the cac... New
Related to EDIT - feature request #7071: Reenable restore functionality New

Associated revisions

Revision f4888ff9 - 10/06/2017 12:08 PM - Patrick Plitzner

ref #7007 Migrate TermManager memento to preference store

Revision 94d5f220 - 10/06/2017 01:07 PM - Patrick Plitzner
ref #7007 Migrate bulk editor preference pages

Revision e2467cda - 10/18/2017 10:29 AM - Patrick Plitzner
ref #7007 Fix potential NPE

Revision 935c0645 - 02/22/2018 03:11 PM - Patrick Plitzner
fix #7007 Fix potential NPE

History

#1 - 11/08/2017 11:21 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#2 - 12/05/2017 02:12 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#3 - 01/31/2018 12:40 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#4 - 02/15/2018 03:26 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#5 - 02/19/2018 12:25 PM - Katja Luther

Opening the preferences now throws an NPE:

java.lang.Exception: login : admin
editor version : 4.15.0.201802191042
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 4.7.0.0.201710040000
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences.checkNoneChecked (AbstractMenuPreferences
.java:270)
at eu.etaxonomy.taxeditor.preference.menu.AbstractMenuPreferences.performOk (AbstractMenuPreferences. java:2
47)
at org.eclipse.jface.preference.PreferenceDialog$8.run (PreferenceDialog. java:905)
at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)
at org.eclipse.ui.internal.JFaceUtil$l.run(JFaceUtil.java:50)
at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable. java:173)
at org.eclipse.jface.preference.PreferenceDialog.okPressed (PreferenceDialog. java:889)
at org.eclipse.jface.preference.PreferenceDialog.buttonPressed (PreferenceDialog.java:230)
at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog. java:618)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:249)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)
at org.eclipse.jface.window.Window.open (Window. java:794)
at eu.etaxonomy.taxeditor.workbench.handler.OpenPreferencesHandler.execute (OpenPreferencesHandler.java:124

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

#6 - 02/22/2018 03:11 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|935c0645af6942b1af9834fe6a3a78960bb1646¢.

#7 - 03/02/2018 09:54 AM - Patrick Plitzner
- Status changed from Resolved to New

- % Done changed from 50 to 0

#8 - 03/02/2018 10:26 AM - Patrick Plitzner
- Parent task changed from #6565 to #7071

#9 - 03/23/2018 08:07 AM - Patrick Plitzner

- Target version deleted (Release 5.0)

removing milestone because master ticket is in milestone

#10 - 03/23/2018 08:08 AM - Patrick Plitzner

removing milestone because master ticket is in current release

#11 - 05/16/2018 02:15 PM - Patrick Plitzner
- Status changed from New to Rejected

- % Done changed from 0 to 100

The E4 migration has been done up to a sufficient state.
This feature was not migrated.
This may be re-visited in #6745.

#12 - 05/16/2018 02:15 PM - Patrick Plitzner

- Related to task #6745: Investigate how e4 model changes affect the cached application model in existing Taxeditor installation added
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/935c0645af6942b1af9834fe6a3a78960bb1646c
https://dev.e-taxonomy.eu/redmine/issues/6745

#13 - 05/18/2018 02:11 PM - Andreas Miiller
- Parent task changed from #7071 to #6565

#14 - 05/18/2018 02:12 PM - Andreas Miiller

- Related to feature request #7071: Reenable restore functionality added
